task Mapping {

    File ref_dir
	File trim_read1
	File trim_read2

	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		bismark --bowtie2 -p 8 --bam  ${ref_dir} -1 ${trim_read1} -2 ${trim_read2}

	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File unsorted_bam = "${sample}_R1_val_1_bismark_bt2_pe.bam"
	}
}
